local lfs = require"lfs"
local rootpath = '/home/media/modeles_3D/'

local cmd = 'stl-thumb'

local function parse_one_level( path )
  for myfile in lfs.dir(path) do
    if myfile ~= "." and  myfile ~= ".." then 
      local attr = lfs.attributes (myfile)
      if attr.mode == "directory" then
        print("Entering sub folder : ", myfile)
        parse_one_level( myfile)
      elseif string.match(myfile, "%.stl") or string.match(myfile, "%.STL") then
        print("Thumbnail for : ", myfile)
        local fullname = rootpath .. myfile
        local fullcmd = cmd .. " --format JPG --size 512 " .. fullname .. " " .. fullname .. ".jpg"
        os.execute( fullcmd )
      end
    end
  end
end

print("Starting ...", os.date() )
parse_one_level(rootpath)
print("End ...", os.date() )

